Skip to navigation

Update a user by id.

View as Markdown
Use to update a local user's details by id. SSO users cannot be updated.

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

userIdstringRequired
The id of the user

Request

User patch object with fields to update.
firstNamestring or nullOptional<=255 characters
lastNamestring or nullOptional<=255 characters

Response

Executed successfully.
idstring
usernamestring
createdBystring
createdAtdatetime or null
updatedAtdatetime or null
lastLogindatetime or null
isLocalboolean or null
groupslist of strings or nullOptional
firstNamestringOptional<=255 characters
lastNamestringOptional<=255 characters

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error